/*
    This is an example of ImageMARK configuration file.
    Every item in the configuration object is optional.
*/
var config = {
	control_panel : {
	    location : "top", // left/right/top/bottom
	    buttons  : [ "clear","undo","redo", "text", "balloon", "select",
			 "curve", "line", "arrow", "rect", "ellipse",
			 "area", "fillellipse", "fillrect" ]
	},

	clipart_panel : {
	    location : 'left' // left/right/top/bottom
	},

	properties : {

	    line : {
		colors : ["#800000","#ff0000","#ff8000","#000080","#008000","#ffff00",
			  "#000000","#808080","#ffffff","#4080ff","#008080","#808000"],
		default_color : "#ff0000",
		thicknesses : [ 1, 2, 4, 6, 10, 16 ],
		default_thickness : 6
	    },

	    rect : {
		colors : ["#800000","#ff0000","#ff8000","#000080","#008000","#ffff00",
			  "#000000","#808080","#ffffff","#4080ff","#008080","#808000"],
		default_color : "#ff0000",
		thicknesses : [ 1, 2, 4, 6, 10, 16 ],
		default_thickness : 6
	    },

	    fillrect : {
		// in the definitions like that #RRGGBB/#RRGGBB the 1st color value
		// defines text color, the 2nd one the background
		colors : [ "#000000/#ffff00", "#000000/#ff8000", "#ffff00/#008000",
			   "#ffffff/#000080", "#ffffff/#ff0000", "#ffff00/#000000",
			   "#000000/#ffffff", "#ffffff/#000000", "#e0e0e0/#404040",
			   "#404040/#e0e0e0",
			   "rgb(0,0,255)/rgba(0,0,255,0.25)",
			   "rgb(255,0,0)/rgba(255,0,0,0.25)" ],
		default_color : "rgb(255,0,0)/rgba(255,0,0,0.25)",
		thicknesses : [ 1, 2, 4, 6, 10, 16 ],
		default_thickness : 2
	    },

	    ellipse : {
		colors : ["#800000","#ff0000","#ff8000","#000080","#008000","#ffff00",
			  "#000000","#808080","#ffffff","#4080ff","#008080","#808000"],
		default_color : "#ff0000",
		thicknesses : [ 1, 2, 4, 6, 10, 16 ],
		default_thickness : 6
	    },

	    fillellipse : {
		// in the definitions like that #RRGGBB/#RRGGBB the 1st color value
		// defines text color, the 2nd one the background
		colors : [ "#000000/#ffff00", "#000000/#ff8000", "#ffff00/#008000",
			   "#ffffff/#000080", "#ffffff/#ff0000", "#ffff00/#000000",
			   "#000000/#ffffff", "#ffffff/#000000", "#e0e0e0/#404040",
			   "#404040/#e0e0e0",
			   "rgb(0,0,255)/rgba(0,0,255,0.25)",
			   "rgb(255,0,0)/rgba(255,0,0,0.25)" ],
		default_color : "rgb(255,0,0)/rgba(255,0,0,0.25)",
		thicknesses : [ 1, 2, 4, 6, 10, 16 ],
		default_thickness : 2
	    },

	    area : {
		colors : [ "#000000/#ffff00", "#000000/#ff8000", "#ffff00/#008000",
			   "#ffffff/#000080", "#ffffff/#ff0000", "#ffff00/#000000",
			   "#000000/#ffffff", "#ffffff/#000000", "#e0e0e0/#404040",
			   "#404040/#e0e0e0",
			   "rgb(0,0,255)/rgba(0,0,255,0.25)",
			   "rgb(255,0,0)/rgba(255,0,0,0.25)" ],
		default_color : "rgb(255,0,0)/rgba(255,0,0,0.25)",
		thicknesses : [ 1, 2, 4, 8 ],
		default_thickness : 2
	    },

	    curve : {
		colors : ["#800000","#ff0000","#ff8000","#000080","#008000","#ffff00",
			  "#000000","#808080","#ffffff","#4080ff","#008080","#808000"],
		default_color : "#ff0000",
		thicknesses : [ 1, 2, 4, 6, 10, 16 ],
		default_thickness : 6
	    },

	    balloon : {
		// in the definitions like that #RRGGBB/#RRGGBB the 1st color value
		// defines text color, the 2nd one the background
		colors : [ "#000000/#ffff00", "#000000/#ff8000", "#ffff00/#008000",
			   "#ffffff/#000080", "#ffffff/#ff0000", "#ffff00/#000000",
			   "#000000/#ffffff", "#ffffff/#000000", "#e0e0e0/#404040",
			   "#404040/#e0e0e0", "#ffffff/#ff8000", "#ffffff/#008000" ],
		default_color : "#000000/#ffff00",

		font_names : ['Arial','Serif','Sans-serif','Monospace'],
		font_sizes : ['10','12','16','18','20','24','30','36','48'],

		// font style can be "plain" or "bold" or "italic" or "bolditalic"
		default_font  : { name:"Sans-serif", style:"bold", size:18 }
	    },

	    text : {
		// in the definitions like that #RRGGBB/#RRGGBB the 1st color value
		// defines text color, the 2nd one the background
		colors : [ "#000000/#ffff00", "#000000/#ff8000", "#ffff00/#008000",
			   "#ffffff/#000080", "#ffffff/#ff0000", "#ffff00/#000000",
			   "#000000/#ffffff", "#ffffff/#000000", "#e0e0e0/#404040",
			   "#404040/#e0e0e0",
			   "rgb(0,0,255)/rgba(0,0,255,0.25)",
			   "rgb(255,0,0)/rgba(255,0,0,0.25)" ],
		default_color : "#ffffff/#ff0000",

		font_names : ['Arial','Serif','Sans-serif','Monospace'],
		font_sizes : ['10','12','16','18','20','24','30','36','48'],

		// font style can be "plain" or "bold" or "italic" or "bolditalic"
		default_font : { name:"Sans-serif", style:"bold", size:18 }
	    }
	},

	text : {
	    "ok"         : "OK",
	    "cancel"     : "Cancel",
	    "properties" : "Properties",
	    "to_front"	 : "Bring to Front",
	    "to_back"	 : "Move Back",
	    "delete"     : "Delete",
	    "info"	 : "Info",
	    "color"	 : "Color",
	    "thickness"	 : "Thickness",
	    "set_default": "Set as Default",
	    "font"	 : "Font",
	    "style"	 : "Style",
	    "size"	 : "Size",
	    "drag_it"	 : "Drag instead of click",
	    "hflip"	 : "Flip",

	    "rotate"     : "Rotate",
	    "resize"     : "Resize",
	    "on"         : "On",
	    "off"        : "Off"
	}
};
