<%@ Page Language="C#" Debug="true" %>
<%@ Import Namespace="System.IO" %>
<%
// This script saves the annotation and exported raster image,
// to 'data' directory, and redirects the browser to view.html

NameValueCollection fields = Request.Form;
string bgimage_url = fields.Get("bgimage_url"); // URL of the background image
string annotation  = fields.Get("annotation"); // annotation data
string exported_image = fields.Get("exported_image"); // exported image data encoded with BASE64
string exported_image_format = fields.Get("image_format"); // mime type of the exported image

// these variables are used to form the file names
string prefix = Path.GetFileNameWithoutExtension(bgimage_url); // common prefix for all saved files
                                                               // based for background image
string saveid = (DateTime.Now.Ticks/10000000-63565560132).ToString(); // unique number for each save
string data_dir = "data"; // data directory

// save the annotation file
string annotation_filename = prefix+"-"+saveid+".txt";
StreamWriter sw = File.CreateText(Server.MapPath("./"+data_dir+"/"+annotation_filename));
sw.WriteLine(annotation);
sw.Close();

// save exported raster image
string file_ext = (exported_image_format=="image/jpeg") ? ".jpg" : ".png";
string exported_image_filename = prefix+"-"+saveid+file_ext;
byte[] binImage = System.Convert.FromBase64String(exported_image);
FileStream outFile = new FileStream(Server.MapPath("./"+data_dir+"/"+exported_image_filename),
					FileMode.Create,FileAccess.Write);
outFile.Write(binImage, 0, binImage.Length);
outFile.Close();

// redirect the browser to view.html
Response.Redirect("view.html?bgimage="+bgimage_url+
	"&annotation="+data_dir+"/"+annotation_filename+
	"&export_image="+data_dir+"/"+exported_image_filename
);
%>