<?php
// This script saves the annotation and exported raster image,
// to 'data' directory, and redirects the browser to view.html

$bgimage_url  = $_POST['bgimage_url']; // URL of the background image
$annotation   = $_POST['annotation']; // annotation data
$exported_image = $_POST['exported_image']; // exported image data encoded with BASE64
$exported_image_format = $_POST['image_format']; // mime type of the exported image (e.g. image/png)

// these variables are used to form the file names
$prefix = preg_replace('/\.[^.]+$/','',basename($bgimage_url)); // common prefix for all saved files for given background image
$saveid = time(); // unique number for each save

$data_dir = 'data'; // data directory
if (!is_writable(realpath($data_dir))) {
    echo 'Not enough permission to write to '.realpath($data_dir);
    exit();
}

// save the annotation file
$annotation_filename = "$prefix-$saveid.txt";
file_put_contents( "$data_dir/$annotation_filename", $annotation );

// save exported raster image
$mime_ext_map = array( 'image/png' => '.png', 'image/jpeg' => '.jpg');
$exported_image_filename = "$prefix-$saveid".$mime_ext_map[$exported_image_format];
file_put_contents( "$data_dir/$exported_image_filename", base64_decode(chunk_split($exported_image)) );

// redirect the browser to view.html
redirectTo("view.html?bgimage=$bgimage_url&annotation=$data_dir/$annotation_filename&export_image=$data_dir/$exported_image_filename");

function redirectTo($page) {
    $schema = (isset($_SERVER['HTTPS']) && $_SERVER['HTTPS']=='on') ? 'https' : 'http';
    $host = $_SERVER['HTTP_HOST'];
    $port = $_SERVER['SERVER_PORT'];
    $dir  = dirname($_SERVER['PHP_SELF']);
    if (substr($dir,0,1)=='/' && strlen($dir) > 1) $dir = substr($dir,1,strlen($dir)-1);
    header("Location: $schema://$host:$port/$dir/$page");    
}
?>